Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-78948

Qt cannot find plugins if installed into /usr/lib/sse2 or similar

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P1: Critical
    • Resolution: Done
    • Affects Version/s: 5.14.0 Alpha
    • Fix Version/s: 5.14.0 Beta2
    • Component/s: Build System, Core: Other
    • Labels:
      None
    • Environment:
      openSUSE Tumbleweed
    • Platform/s:
      Linux/Wayland, Linux/X11
    • Commits:
      a6ece9e88a3b227b7359d85d2641e9aab9be1c7b (qt/qtbase/5.15)

      Description

      We configure qtbase like this:

      ./configure -prefix /usr -L /usr/lib -libdir /usr/lib -archdatadir /usr/lib/qt5 -bindir /usr/lib/qt5/bin -datadir /usr/share/qt5 -docdir /usr/share/doc/packages/qt5 -examplesdir /usr/lib/qt5/examples -headerdir /usr/include/qt5 -importdir /usr/lib/qt5/imports -libexecdir /usr/lib/qt5/libexec -plugindir /usr/lib/qt5/plugins -sysconfdir /etc/xdg -translationdir /usr/share/qt5/translations -verbose -reduce-relocations -no-sse2 -no-pch -accessibility -no-strip -opensource -no-separate-debug-info -force-debug-info -shared -xkb -dbus-linked -sm -no-rpath -system-libjpeg -openssl-linked -system-libpng -system-harfbuzz -fontconfig -system-freetype -cups -system-zlib -zstd -no-pch -glib -sctp -system-sqlite -no-sql-mysql -journald -libproxy -xcb -egl -eglfs -opengl desktop -release -plugin-sql-sqlite -nomake tests -plugin-sql-psql -I/usr/include/pgsql/ -I/usr/include/pgsql/server -plugin-sql-odbc -plugin-sql-mysql -I/usr/include/mysql/ -qpa 'xcb;wayland' -v 'QMAKE_CFLAGS+= -fomit-frame-pointer -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -Werror=return-type  -g -DOPENSSL_LOAD_CONF' 'QMAKE_CXXFLAGS+= -fomit-frame-pointer -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -Werror=return-type  -g -DOPENSSL_LOAD_CONF'
      

      The resulting installation of Qt is unable to find any plugins. The reason seems to be that the saved prefix is wrong:

      > /usr/lib/qt5/bin/qtpaths --plugin-dir
      /usr/lib/lib/qt5/plugins
      > /usr/lib/qt5/bin/qtpaths --binaries-dir
      /usr/lib/lib/qt5/bin
      > /usr/lib/qt5/bin/qtpaths --install-prefix
      /usr/lib
      

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            jbornema Joerg Bornemann
            Reporter:
            vogtinator Fabian Vogt
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes